:root {
  --text: #2B3044;
  --line: #BBC1E1;
  --line-active: #275EFE;
}

a {
  display: inline-block;
  position: relative;
  text-decoration: none;
  color: inherit;
  transition: margin .25s;
  font-size: calc(.2vw + 1.5vh + 2px);
  font-family: "Poppins";
  margin: 2vh 0;
  text-align: left;
}

a:hover {
  --spacing: 4px;
  --stroke: var(--line-active);
  --stroke-delay: .1s;
  --offset: 180px;
}

svg {
  width: 10vh;
  transform: scaleX(3) !important;
  height: calc(.6vw + 7vh + 8px);
  padding-top: calc(-.2vw - 1.5vh - 2px);
  position: absolute;
  left: calc(3vw + 1.5vh);
  bottom: -.4vh;
  transform: translate(-50%, 7px) translateZ(0);
  fill: none;
  stroke: var(--stroke, var(--line));
  stroke-linecap: round;
  stroke-width: 2px;
  stroke-dasharray: var(--offset, 69px) 278px;
  stroke-dashoffset: 361px;
  transition: stroke .25s ease var(--stroke-delay, 0s), stroke-dasharray .35s;
}

@media screen and (max-width: 100vh) {
  svg {
    display: none;
  }
}
